package com.infobip.push.lib;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.text.TextUtils;

import com.infobip.push.lib.util.LiveGeoUtil;
import com.infobip.push.lib.util.LocationManagerUtil;
import com.infobip.push.lib.util.Prefs;

public class LocationBootReceiver extends BroadcastReceiver {
	
	@Override
	public void onReceive(Context context, Intent intent) {
		
		String action = intent.getAction();
		
		if (Intent.ACTION_BOOT_COMPLETED.equals(action)) {
			Prefs prefs = new Prefs(context);
			
			if (!TextUtils.isEmpty(prefs.getRegistrationId()) && prefs.isLiveGeoEnabled()) {
				prefs.setLiveGeoRequestType(LiveGeoUtil.REQUEST_TYPE_ADD);
				prefs.save();
				
				LocationManagerUtil.getInstance(context).startRequestingLiveGeosAlarm();
				LiveGeoUtil.addLiveGeosToPlayServices(context);
			}
			
			if (!LocationManagerUtil.getInstance(context).shouldLocationUpdatesRun(prefs)) {
				return;
			}
			
			LocationManagerUtil.getInstance(context).rescheduleUpdateAlarmIfNecessary(prefs);		
		}
	}
	
}
