package com.infobip.push.lib.model;

import java.util.List;

import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

import com.infobip.push.lib.util.Util;

public class ChannelRegistrationModel {
	
	private static final String TAG_DEVICE_ID 		= "deviceID";
	private static final String TAG_CHANNEL_NAMES	= "channelNames";
	private static final String TAG_OS_TYPE 		= "OSType";
	
	public List<String> channelNames;
	public String deviceId;
	public String osType = "Android";

	@Override
	public String toString() {
		return toJsonObject().toString();
	}
	
	public JSONObject toJsonObject() {
		JSONObject channelsRegistrationModel = new JSONObject();
		JSONArray channelNamesJson = new JSONArray();
		
		if (channelNames != null) {
			for (int i = 0; i < channelNames.size(); i++) {
				channelNamesJson.put(channelNames.toArray()[i]);
			}
		}
		
		try {
			channelsRegistrationModel.put(TAG_DEVICE_ID, deviceId);
			channelsRegistrationModel.put(TAG_CHANNEL_NAMES, channelNamesJson);
			channelsRegistrationModel.put(TAG_OS_TYPE, osType); 			
		} catch (JSONException e) {
			Util.LogError(e.toString());
		}
		
		return channelsRegistrationModel;
	}

}
