package com.infobip.push.lib.model;

import org.json.JSONException;
import org.json.JSONObject;

import android.text.TextUtils;

import com.infobip.push.lib.util.Util;

public class UserDataModel {

	private static final String TAG_PHONE_REG_ID 		= "phoneRegistrationID";
	private static final String TAG_USER_ID 			= "userID";
	private static final String TAG_TIME_ZONE_OFFSET	= "timeZoneOffset";
	private static final String TAG_PHONE_NUMBER		= "phoneNumber";
	private static final String TAG_SYSTEM_INFO			= "systemInfo";
	
	public String phoneRegistrationId;
	public String userId;
	public int timeZoneOffset;
	public String phoneNumber;
	
	@Override
	public String toString() {	
		return toJsonObject().toString();
	}
	
	public JSONObject toJsonObject() {
		JSONObject userDataModel = new JSONObject();
		
		try {
			userDataModel.put(TAG_PHONE_REG_ID, phoneRegistrationId);
			userDataModel.put(TAG_USER_ID, userId);
			userDataModel.put(TAG_TIME_ZONE_OFFSET, timeZoneOffset);
			
			JSONObject systemInfo = new JSONObject();
			if (!TextUtils.isEmpty(phoneNumber)) {
				systemInfo.put(TAG_PHONE_NUMBER, phoneNumber);
				userDataModel.put(TAG_SYSTEM_INFO, systemInfo);
			}
		} catch (JSONException e) {
			Util.LogError(e.toString());
		}
		
		return userDataModel;
	}
	
}
